Subject: Re: [PATCH v7 04/15] swiotlb: Add restricted DMA pool initialization

From: Christoph Hellwig <[email-masked]>
Date: Thu, 27 May 2021 15:27:11 +0200

On Mon, May 24, 2021 at 11:49:34AM -0400, Konrad Rzeszutek Wilk wrote:
> rmem_swiotlb_setup
> 
> ?
> 
> Which is ARM specific and inside the generic code?

I don't think it is arm specific at all.  It is OF specific, but just
about every platform but x86 uses OF.  And I can think of an ACPI version
of this as well.